Bug 1967234 - Console is continuously polling for ConsoleLink acm-link
Summary: Console is continuously polling for ConsoleLink acm-link
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: David Taylor
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-02 16:30 UTC by Samuel Padgett
Modified: 2021-07-27 23:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.8.0-0.nightly-2021-06-02-025513 Cluster ID: 42a48920-049e-4386-8a22-dc267b14a7b2 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:89.0) Gecko/20100101 Firefox/89.0
Last Closed: 2021-07-27 23:11:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
Network requests (1.88 MB, image/png)
2021-06-02 16:30 UTC, Samuel Padgett
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9169 0 None open Bug 1967234: Console is continuously polling for ConsoleLink acm-link 2021-06-07 19:58:44 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:29 UTC

Description Samuel Padgett 2021-06-02 16:30:12 UTC
Created attachment 1788732 [details]
Network requests

The console frontend keeps trying to get the ConsoleLink acm-link. When it doesn't exist, it will 404. Console should stop polling.

We should fix this in 4.8 since it creates a lot of noise in the logs. We've had similar issues around ClusterVersion in the past, which generated a number of bug reports.

Comment 2 Yadan Pei 2021-06-09 09:26:45 UTC
Search in browser console tab, following request is not found
"""
Failed to load resource: the server responded with a status of 404 (Not Found) https://<console_route>/api/kubernetes/apis/console.openshift.io/v1/consolelinks/acm-console-link
"""

Now we watch for consolelinks
websocket open: /api/kubernetes/apis/console.openshift.io/v1/consolelinks?watch=true&resourceVersion=279066

when acm-console-link is added, we watch acm-console-link
websocket open: /api/kubernetes/apis/console.openshift.io/v1/consolelinks?watch=true&fieldSelector=metadata.name%3Dacm-console-link


In this way, there is no large number of `404 Not Found` errors and still function the same, verified on  4.8.0-0.nightly-2021-06-09-000526

Comment 5 errata-xmlrpc 2021-07-27 23:11:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.